REM Command file to create the 64-bit executables for SNF4CGP on Windows.
REM
REM Copyright (c) 2013 ARM Research Corporation

setlocal
del SNFClient.exe SNF2Check.exe SNF4CGP.exe
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

set path=c:\MinGW-64\bin;%path%
set CXX=x86_64-pc-mingw32-c++
set LIB=c:\MinGW-64\x86_64-pc-mingw32\lib64\libws2_32.a
set CXXFLAGS=-Isource\CodeDweller -Isource\SNFMulti -s -O3 -fexpensive-optimizations
set LDFLAGS=%LDFLAGS% %LIB% -static

%CXX% source\SNFClient\*.cpp source\CodeDweller\*.cpp source\SNFMulti\*.cpp %CXXFLAGS% -o SNFClient.exe %LDFLAGS%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

%CXX% source\SNF2Check\*.cpp source\CodeDweller\*.cpp source\SNFMulti\*.cpp %CXXFLAGS% -o SNF2Check.exe %LDFLAGS%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

%CXX% source\SNF4CGP\*.cpp source\CodeDweller\*.cpp source\SNFMulti\*.cpp %CXXFLAGS% -o SNF4CGP.exe %LDFLAGS%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%
